

%define _requires_exceptions libgcc_s.so.1\\|libstdc++.so.6

Name: 		okawix
Version: 	0.7
Release: 	%mkrel 1
Summary: 	Okawix lets you download the whole content of Wikipedia
Group:   	Office
License: 	GPL
URL:     	http://www.okawix.com/
Source:  	%{name}-%{version}-current.tar.xz
Source2: 	%{name}_icons.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Okawix lets you download the whole content of Wikipedia, with or without images, 
so that you can browse it offline: Okawix is available in 253 languages and includes
sister projects of the Wikimedia Foundation (Wikisource, Wiktionary, Wikiquote, Wikibooks).


%prep

%setup -q -n %{name}

tar --bzip2 -xf %{SOURCE2}

%install

export DONT_STRIP=1

rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/lib/%{name}
mkdir -p %{buildroot}/usr/bin

mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 644 %{name}-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %{name}-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %{name}-48.png %buildroot/%{_liconsdir}/%{name}.png


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Okawix
Comment=Wikipedia Download Manager
Exec=/usr/bin/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Network;WebBrowser;X-MandrivaLinux-Internet-WebBrowsers;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd /usr/lib/%{name}
./%{name}
cd /
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

cp -af /usr/src/rpm/BUILD/%{name}/ %{buildroot}/usr/lib

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Dec 10 2010 Texstar <texstar at gmail.com> 0.7-1pclos2010
- create package

